Subject: Re: bug#79346: igc: PolicyShouldCollectWorld

From: Gerd Möllmann <[email-masked]>
Date: Fri, 05 Sep 2025 20:05:26 +0200

Helmut Eller <[email-masked]> writes:

>>> I've been using this:
>>
>> Thanks. I'll try to get that into my Emacs a bit later because I have
>> some changes here that lead to conflicts.
>
> Using environment variables is probably better anyway.  Eli doesn't want
> to add command line args for the sake of MPS and with environment
> variables its easier to keep this inside igc.c.

Okay. Good for me, less work :-). 

>
>> Concerning feature/igc, I've come to the conclusion that it's probably
>> best for my peace when I ignore its existence and don't push anything
>> there anymore, either your changes or mine.
>
> I suppose it would also be best for my peace :-)  ...
>
>> I could make a new branch though if you like. Just tell.
>
> ... but I don't quite see how we should make progress without some
> shared branch.

I've branched a new scratch/igc2 from feature/igc for more "freestyle"
changes.